/*************** Variables ***************/
:root {
	--hue:                   37; 
	--sat:                   60%;
/*	--hue:                   216;
	--sat:                   67%; */
	--theme-l6:              hsl(var(--hue), var(--sat), 95%);
	--theme-l5:              hsl(var(--hue), var(--sat), 90%);
	--theme-l4:              hsl(var(--hue), var(--sat), 85%);
	--theme-l3:              hsl(var(--hue), var(--sat), 78%);
	--theme-l2:              hsl(var(--hue), var(--sat), 70%);
	--theme-l1:              hsl(var(--hue), var(--sat), 60%);
	--theme-0:               hsl(var(--hue), var(--sat), 50%);
	--theme-d1:              hsl(var(--hue), var(--sat), 45%);
	--theme-d2:              hsl(var(--hue), var(--sat), 40%);
	--theme-d3:              hsl(var(--hue), var(--sat), 35%);
	--theme-d4:              hsl(var(--hue), var(--sat), 30%);
	--theme-d5:              hsl(var(--hue), var(--sat), 8%);
	--theme-black:           #000000;
	--theme-white:           #ffffff;
	
	--col-text-success:      #29a329;
	--col-text-warning:      #ff9000;
	--col-text-error:        #cc0000;
	--col-bg-success:        #3adf00;
	--col-bg-warning:        #ffff00;
	--col-bg-error:          #ab1b1b;
	
	--col-text:              var(--theme-d5);
	--col-text-nav:          var(--theme-d5);
	--col-text-title:        var(--theme-d1);
	--col-text-input:        var(--theme-black);
	
	--col-border:            var(--theme-d1);
	--col-border-nav:        var(--theme-d1);
	--col-border-leftlist:   var(--theme-d1);
	--col-border-input:      var(--theme-d4);
	--col-border-dialog:     var(--theme-d1);
	
	--col-bg-nav-top:        var(--theme-l5);
	--col-bg-nav-bottom:     var(--theme-l4);
	--col-bg-nav-hover:      var(--theme-l2);
	--col-bg-nav-active:     var(--theme-l2);
	--col-bg-main:           var(--theme-white);
	--col-bg-leftlist:       var(--theme-l6);
	--col-bg-category:       var(--theme-l1);
	--col-bg-table-title:    var(--theme-l2);
	--col-bg-table-even:     var(--theme-l4);
	--col-bg-table-odd:      var(--theme-l5);
	--col-bg-table-hover:    var(--theme-l3);
	--col-bg-table-light:    var(--theme-l6);

	--col-bg-input:          var(--theme-l5);
	--col-bg-input-disabled: #777777;
	--col-bg-button:         var(--theme-l4);

	--col-bg-dialog:         var(--theme-l5);
	--col-bg-dialog-title:   var(--theme-l1);
	--col-bg-dialog-btnpane: var(--theme-l2);
	
	--col-shadow-hover:      var(--theme-d4);
	--col-shadow-button:     var(--theme-d4);
}

/*************** Fonts ***************/
@font-face {
    font-family: 'liberation_sans';
    src: url('./fonts/LiberationSans-Regular-webfont.woff');
    font-weight: normal;
    font-style: normal;
}



/*************** Globals ***************/
html, body {
	height: 100%;
	margin: 0;
	font-family: 'liberation_sans';
}

h1 {
	color:             var(--col-text-title);
}


/*************** Login ***************/
#login {
/*	display: block; */
	display:           flex;
	flex-direction:    row;
	flex-wrap:         wrap;
	justify-content:   space-between;
	width:             100%;
	border-right:      1px solid #aaaaaa;
}	

#login form {
	display:           none;
/*	flex-basis:        100%; */
	padding:           2ex 0;
	position:          absolute;
	top:               8ex;
	left:              0px;
	right:             0px;
	color:             var(--col-text-nav);	
	background:        var(--col-bg-nav-top);
	border-bottom:     1px solid var(--col-border);
	z-index:           1001;
}

#login ul {
	margin:            10px;
}

#login li {
	color:             #333333;
	display:           inline-block;
	list-style-type:   none;
	margin:            0;
	padding:           0;
}

#login li.label {
	width:             10ex;
}

#login input, #login button, #login select, #login textarea {
	color:              var(--col-text-input);
	border-color:       var(--col-border-input);
	background-color:   var(--col-bg-input);
	border:             1px solid var(--col-border-input);
	margin:            0 5px;
	width:             20ex;

	-ms-box-sizing:    border-box;
	-moz-box-sizing:   border-box;
	-webkit-box-sizing: border-box;
	box-sizing:        border-box;
}

#login img.logo {
	flex-grow:         0;
	flex-basis:        8ex;
	padding:           1ex 0;
	margin:            0;
	height:            6ex;
	background-color:  var(--col-bg-leftlist);
}

#login .loginopen {
	flex-grow:         1;
	height:            8ex;
	line-height:       8ex;
	text-align:        center;
	padding:           0 3em;
	background-color:  var(--col-bg-button);
	border-color:      var(--col-border);
	cursor:             pointer;
}

/*************** Navigation ***************/
.navbaropen {
	flex-grow:         0;
	flex-basis:        8ex;
	height:            8ex;
	line-height:       8ex;
	text-align:        center;
	background-color:  var(--col-bg-leftlist);
	cursor:             pointer;
}

#navbar {
	display:           none;
	position:          absolute;
	top:               8ex;
	right:             0px;
	z-index:           1001;
}

#navbar ul {
	display:           inline-block;
	height:            100%;
	width:             100%;
	margin:            0;
	padding:           0;
	vertical-align:    middle;
	color:             var(--col-text-nav);	
	background:        var(--col-bg-nav-top);
}

#navbar li {
	display:            block;
	list-style-type:    none;
	margin:             0;
	cursor:             default;
}

#navbar li:hover,
#navbar a:hover {
/*	background:         var(--col-bg-nav-hover); */
	background:         #eeeeee;
}

#navbar a {
	display:            block;
	text-decoration:    none;
	min-width:          60vw;
	line-height:        4ex;
	padding:            10px;
	color:              var(--col-text-nav);
	cursor:             pointer;
}

/************ Main ************/
#maindiv {
	display:           block;
	margin:            2px;
}

#maindiv img.floatright {
	width: 100%;
}
